// creator  : weidu.exe (version 23100)
// argument : _FLAM2.DLG
// game		 : .
// source	 : ./override/_FLAM2.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_FLAM2~

IF ~NumberOfTimesTalkedTo(0)
!Dead("viconia")
~ THEN BEGIN 0 // from:
  SAY #88119 /* ~Step aside, travelers.  I am a member of the Flaming Fist.  The woman you are harboring is wanted for murder of the foulest sort.  She is a dark elf; it should be obvious that she is evil.~ */
  IF ~~ THEN EXTERN ~_VICONI~ 3
  IF ~Global("X#AjantisFlamingFist","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisFlamingFist","GLOBAL",1)~ EXTERN ~_AJANTJ~ 65
END

IF ~~ THEN BEGIN 1 // from:
  SAY #88120 /* ~Kill her, of course.~ */
  IF ~~ THEN REPLY #88121 /* ~We can't allow that, you'll have to go through us to get her.~ */ GOTO 4
  IF ~~ THEN REPLY #88122 /* ~Well if she's a murderer, that's what she deserves; you can have her.~ */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from:
  SAY #88123 /* ~Don't be foolish, I represent the law of this region; by protecting her you'll be just as guilty as she.~ */
  IF ~~ THEN REPLY #88124 /* ~I guess that's too bad for us.~ */ GOTO 4
  IF ~~ THEN REPLY #88125 /* ~You're right, you can have her.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.1 1.1
  SAY #88126 /* ~A wise choice, you may go on your way.~ */
  IF ~~ THEN EXTERN ~_VICONI~ 4
  IF ~Global("X#FLAM23","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#FLAM23","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 427
  IF ~Global("X#FLAM23","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#FLAM23","GLOBAL",1)~ EXTERN ~_AJANTJ~ 289
END

IF ~~ THEN BEGIN 4 // from: 2.0 1.0
  SAY #88127 /* ~A stupid decision!  For harboring a murderer I sentence all of you to death!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
  IF ~Global("X#AjantisViconiaHelp","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisViconiaHelp","GLOBAL",1)~ EXTERN ~_AJANTJ~ 66
END

IF ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 5 // from:
  SAY #88128 /* ~I am a proud member of the Flaming Fist.  Our headquarters is in Baldur's Gate, though we also operate in Beregost and the Friendly Arm inn.  Our squad's mission is to hunt down a drow elf who killed a farmer, his wife and his kids.  They were very brutal murders, but what can you expect from the drow.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #88129 /* ~Murder most foul

When I charmed a member of the Flaming Fist, he explained that his unit was hunting after a drow elf who had murdered a family.~ */ EXIT
END

IF ~True()
~ THEN BEGIN 6 // from:
  SAY #88130 /* ~There are other things that I must now attend to.  Good day.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #99456 /* ~I'm authorized to do this if I *say* I'm authorized to do this! Now prepare to fight!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END
